### Method

# Tsparql Batch add_resource

since: 3.1

#### Declaration [src]

    void
    tracker_batch_add_resource (
      TrackerBatch* batch,
      const gchar* graph,
      TrackerResource* resource
    )

#### Description [src]

Adds the RDF represented by `resource` to `batch`.

Available since: 3.1

#### Parameters

`graph`

  Type: `const gchar*`

  RDF graph to insert the resource to.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`resource`

  Type: `TrackerResource`

  A `TrackerResource`.

  The data is owned by the caller of the method.